
Figure - Bug #112678
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110872 (New): BSP-BVT测试-WIFI测试

【BSP】【EVT2】【WIFI】【必现】以太网连接状态下，wifi不会自动回连
2022-10-18 20:26 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-10-18

Priority: Normal Due date:

Assignee: CDTS_TEST 刘勇 % Done: 20%

Category: LC Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: [ro.build.date]: [Thu Oct 13 21:42:43 CST 2022]

Resolution: -- Degrated: --

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221026.alpha

Reproducibility: Every time Fixed Version:

Test Type: Free Test Root cause:

Description

前置条件：

DUT各模块功能正常且处于开机状态

操作步骤：

1、设置内成功连接以太网和wifi

2、断开电源后再次上电

实际结果：

1、开机后以太网正常连接，wifi没有自动回连，需要手动连接

预期结果：

1、开机后以太网正常连接，wifi自动回连

History

#1 - 2022-10-21 17:10 - CD LC 陶洪普

- Status changed from New to ASSIGNED

#2 - 2022-10-21 17:12 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V3.0_20221030

#3 - 2022-10-22 19:46 - CD LC 陶洪普

原因分析：

以太网（eth0）未获取到IP地址（DHCP）时，Wifi mAutoJoinEnabled 是　true,可自动连接．

10-14 18:19:41.682  1126  1780 V WifiConnectivityManager: startConnectivityScan: screenOn=true wifiState=disconnected scanImmediately=true wifiEnabled=true

mAutoJoinEnabled=false

10-14 18:19:42.468  1126  1780 V WifiConnectivityManager: setTrustedConnectionAllowed: allowed=true

10-14 18:19:42.468  1126  1780 V WifiConnectivityManager: Starting up WifiConnectivityManager

10-14 18:19:42.497  1126  1780 V WifiConnectivityManager: startConnectivityScan: screenOn=true wifiState=disconnected scanImmediately=true wifiEnabled=true

mAutoJoinEnabled=*true*

以太网（eth0）获取到IP地址（DHCP）时，Wifi mAutoJoinEnabled 是　false, 不触发自动连接．

10-14 18:21:36.294  1126  1780 V WifiConnectivityManager: Last periodic single scan started 2559ms ago, defer this new scan request.

10-14 18:21:46.932  1126  1780 V WifiConnectivityManager: setTrustedConnectionAllowed: allowed=false
10-14 18:21:46.933  1126  1780 V WifiConnectivityManager: Stopping WifiConnectivityManager

10-14 18:21:46.933  1126  1780 V WifiConnectivityManager: startConnectivityScan: screenOn=true wifiState=connected scanImmediately=true wifiEnabled=true

mAutoJoinEnabled=*false*

以太网络的score大于wifi网络，连接后，会设置wifi untrusted, 

修改方法：

产品使用场景中访问Internet无eth0，　忽略其对wifi的影响．

#4 - 2022-10-22 19:49 - CD LC 陶洪普

更改

general/platform/frameworks/opt/net/wifi    LA.QSSI/LINUX/android/frameworks/opt/net/wifi

，已填写创建修改分支申请．

#5 - 2022-10-22 19:49 - CD LC 陶洪普

- % Done changed from 0 to 20

#6 - 2022-10-24 19:23 - CD LC 陶洪普

编译验证中.

Patch:

https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/157585

VB:

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/1914/

#7 - 2022-10-25 22:15 - CD LC 陶洪普

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD LC 陶洪普 to SZTS_TEST 邹涛

https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/157585

已入库,

请使用10/26及之后的版本验证.谢谢!

注意: 现在DB中上周五何如了100Mbps的以太驱动, 使用1000M的T1转TX,Eth网络可能不通.如果有有疑问,具体咨询文亮.

#8 - 2022-10-26 16:04 - CDTS_TEST 王成

- Assignee changed from SZTS_TEST 邹涛 to CDTS_TEST 刘勇

用今天的版本验证下

#9 - 2022-10-26 19:42 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

【HW】EVT2-VX1

【SW】FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221026.alpha
【前置条件】

 1.DUT各模块功能正常且处于开机状态

【操作步骤】

1、设置内成功连接以太网和wifi

2、断开电源后再次上电

【实际结果：】

1、开机后以太网正常连接，wifi自动回连

【验证次数】3/3

【验证结论】PASS,验证通过

#10 - 2022-10-26 19:42 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221026.alpha

#11 - 2022-12-22 20:46 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157585 general/platform/packages/modules/

Wifi

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

Wlan: Ignore the effect of other networks to the WiFiEthernet network is only used for internel connection, ignorethe effect of its high priority on WiFi

connection.When Ethernet is connected, WiFi can still connect automatically.TC-RID: 1201-0400212IssueID: TS-R-BUG-112678Change-Id:

I4fb32d0c898a9505e59e1b975560e5abaf83454e
